/**Begin C:\PDM_UPGRADE\PDM1\SRM_table.sql **/
 EXEC p_AlterColumn 'T_SRM_COMPCONFIG_L', 'FPKID', 'VARCHAR(36)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRM_COMPGROUP_L', 'FPKID', 'VARCHAR(36)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRM_COMPONENT_L', 'FPKID', 'VARCHAR(36)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRM_SHOWFILEDENTRY_L', 'FPKID', 'VARCHAR(36)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRM_ABOUTENTRY_L', 'FPKID', 'VARCHAR(36)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SRM_FRINDLINKENTRY_L', 'FPKID', 'VARCHAR(36)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRM_SWIPERSENTRY' AND KSQL_COL_NAME IN ('FSWIPERSTITLE')) 
 ALTER TABLE T_SRM_SWIPERSENTRY ADD (FSWIPERSTITLE NVARCHAR(255) DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRM_SWIPERSENTRY' AND KSQL_COL_NAME IN ('FSWIPERSTITLENOTES')) 
 ALTER TABLE T_SRM_SWIPERSENTRY ADD (FSWIPERSTITLENOTES NVARCHAR(255) DEFAULT ' ' );
 EXEC p_AlterColumn 'T_SRM_PROCESSENTRY_L', 'FPKID', 'VARCHAR(36)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRM_SWIPERSENTRY_L') 
 CREATE TABLE T_SRM_SWIPERSENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSWIPERSTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSWIPERSTITLENOTES NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\SRM_table.sql **/
